/**
 * See license.txt
 */
 
/******************************************************************************
 * Interface for describing a converter item.  The component that
 * implements this interface should not be called directly, but instead
 * gotten from the parser service interface.
 * 
 * @status    FROZEN
 * @version   1.0
 ******************************************************************************/
function ConverterItem() 
{
  this._properties = {};  
}

ConverterItem.prototype = {
  __proto__:  new ItemBase("ConverterItem"),

  ////////////////////////////////
  // ffeIConverterItem
    
  /**
   * Conversion the converter item applies to.
   */
  get conversion() { return this.getProperty("conversion"); },
  
  /**
   * Units of the converter item.
   */
  get units() { return this.getProperty("units"); },
  
  /**
   * Name of the converter item.
   */
  get name() { return this.getProperty("name"); }
}; 
