/**
 * See license.txt
 */
 
/******************************************************************************
 * Interface for describing a parser item.  The component that
 * implements this interface should not be called directly, but instead
 * gotten from the parser service interface.
 * 
 * @status    FROZEN
 * @version   1.0
 ******************************************************************************/
function ParserItem() 
{
  this._properties = {};
}
ParserItem.prototype = {
  __proto__:  new ItemBase("ParserItem"),
            
  ////////////////////////////////
  // ffIParserItem

  /**
   * Target the item applies to.
   */
  get target() { return this.getProperty("target"); },
  
  /**
   * Index of the item.
   */
  get index() { return this.getProperty("index"); },
  
  /**
   * Name of the parser item.
   */
  get name() { return this.getProperty("name"); }
};
